<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="(title$ | async)?.trim().length > 0" class="title">
  <label class="title--label">
    {{title$ | async}}
  </label>
</div>

<ng-container [ngSwitch]="site$ | async">
  <div *ngSwitchCase="EStatementEditorSites.LOADING"
       class="loading-page">
    <app-progress-spinner></app-progress-spinner>
    <label class="loading-page-label">{{"edit.loading" | translate}}</label>
  </div>

  <app-statement-information-form
    *ngSwitchCase="EStatementEditorSites.STATEMENT_INFORMATION_FORM">

    <app-comments-form
      [appCollapsed]="false"
      class="statement-details">
    </app-comments-form>

  </app-statement-information-form>

  <app-workflow-data-form
    *ngSwitchCase="EStatementEditorSites.WORKFLOW_DATA_FORM">

    <app-comments-form
      [appCollapsed]="true"
      class="statement-details">
    </app-comments-form>

  </app-workflow-data-form>

  <app-statement-editor-form
    *ngSwitchCase="EStatementEditorSites.STATEMENT_EDITOR_FORM"
    class="statement-details">

    <app-comments-form
      [appCollapsed]="true"
      class="statement-details">
    </app-comments-form>

  </app-statement-editor-form>

  <app-edit-debug
    (appSubmit)="completeTask($event)"
    *ngSwitchDefault
    [appSite]="site$ | async"
    [appTask]="task$ | async">
  </app-edit-debug>

</ng-container>

